Bug 74576 - Fileopen XLS: Text Box in Chart wrong positioned (OK in XLSX)
Summary: Fileopen XLS: Text Box in Chart wrong positioned (OK in XLSX)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xls
Depends on:
Blocks: Chart XLS
  Show dependency treegraph
 
Reported: 2014-02-05 17:19 UTC by Robert Marks
Modified: 2021-12-10 04:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
XLS file that horribly displays charts in LibreOffice (221.00 KB, application/vnd.ms-excel)
2014-02-05 17:19 UTC, Robert Marks
Details
Correct results shown in Excel PDF file (316.71 KB, application/pdf)
2014-02-05 17:23 UTC, Robert Marks
Details
XLS file compared in MSO-2016 LO-older-4.2 LO-master-6.4+ (227.79 KB, image/jpeg)
2019-09-16 12:22 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Marks 2014-02-05 17:19:02 UTC
Created attachment 93463 [details]
XLS file that horribly displays charts in LibreOffice

Some line charts and bar graphs display totally wrong.
The last two charts for Monthly Giving in attached file don't display correctly.
Comment 1 Robert Marks 2014-02-05 17:23:05 UTC
Created attachment 93464 [details]
Correct results shown in Excel PDF file

Shows how it should XLS example should display.
Comment 2 sophie 2014-04-01 14:18:27 UTC
Testing with 4.2.3.2 and Ubuntu 13.10, compared with the given pdf
- Giving trend vs Budget => displays correctly
- Spending trend vs Budget => has the legend that overlap the x axis months
- Giving 2013 vs 2012 => displays correctly
- Monthly giving => has Dec plotted in Monthly data series
- Monthly giving progress => has the label Budget Goal overlapping x axis
==> so data are not wrong but labels are sometimes misplaced. 
Set as New - Sophie
Comment 3 Joel Madero 2015-05-12 16:44:06 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-09-20 09:41:41 UTC Comment hidden (obsolete)
Comment 5 eisa01 2018-03-17 14:10:14 UTC
Still present

Version: 6.1.0.0.alpha0+
Build ID: 8e8dd8f320a3ff59ff8a16c1a7a867888ce80700
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-03-13_23:59:29
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 Timur 2019-09-16 12:22:56 UTC
Created attachment 154190 [details]
XLS file compared in MSO-2016 LO-older-4.2 LO-master-6.4+

Already noted this is wrong bug report. We may close this one and report 3 issue separately or decide which issue is this bug for. I couldn't find exact similar reports, although they may exist. 

> - GIVING TREND VS BUDGET => displays correctly
> - SPENDING TREND VS BUDGET => has the legend that overlap the x axis months
1. Still repro in 6.4+. Different in MSO-created XLSX, no overlap. 
> - GIVING 2013 VS 2012 => displays correctly
> - MONTHLY GIVING => has Dec plotted in Monthly data series
2. Combo chart of two Line with Markers. Looks better in 6.4+. Only the final line Montly Giving Actual for month (Dec) ends at zero, unlike MSO that has no Dec at all in chart, because data series is up to Nov. Happens both in XLS and MSO-created XLSX.
> - MONTHLY GIVING PROGRESS => has the label Budget Goal overlapping x axis
3. Text Box shape related to chart. Still repro in 6.4+. Happens only in XLS, not in MSO-created XLSX.

I'll change the bug to 3. and retitle "Fileopen XLS: Text Box in Chart wrong positioned (OK in XLSX)".
Comment 7 Timur 2019-12-10 15:36:08 UTC
(In reply to Timur from comment #6)
> > - GIVING TREND VS BUDGET => displays correctly
> > - SPENDING TREND VS BUDGET => has the legend that overlap the x axis months
1. Still repro in 6.5+. Not this bug.

> > - GIVING 2013 VS 2012 => displays correctly
> > - MONTHLY GIVING => has Dec plotted in Monthly data series
2. Combo chart of two Line with Markers. Looks better in 6.4+. Only the
I think that XLSX was bug 127393, so I'll see about XLS. Not this bug.

> > - MONTHLY GIVING PROGRESS => has the label Budget Goal overlapping x axis
3. Text Box shape related to chart. Still repro in 6.5+. This bug.
Comment 8 QA Administrators 2021-12-10 04:23:16 UTC
Dear Robert Marks,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug